Core dump with binaries on Ubuntu 16.04

Report any problems using DoxyPress or DoxyPressApp

Core dump with binaries on Ubuntu 16.04

Postby jdjd » Sat Feb 04 2017 12:18 am

Hi,

I was curious about DoxyPress and downloaded the archive (doxypress-1.2.6-ubuntu1604-x64.tar.bz2) with binaries for Ubuntu 16.04 and extracted it to a folder.

I could run the DoxyPressApp from that folder. However running doxypress required additional libraries: libclang-3.7.so.1 which in turn required libLLVM-3.7.so.1. I extracted these libraries from libclang and libllvm Ubuntu packages. So the directory looks like this:
Code: Select all
doxypress-1.2.6 $ ls
doxypress     libclang-3.7.so.1  libCsGui1.4.so      libCsXml1.4.so
DoxyPressApp  libCsCore1.4.so    libCsNetwork1.4.so  libLLVM-3.7.so.1


Running doxypress like this results in a core dump:
Code: Select all
Generating dot graphs using 2 parallel threads...
Running dot for graph 1/1
Patching output file 1/1
*** Error in `doxypress-1.2.6/doxypress': realloc(): invalid next size: 0x0000000003f60270 ***
======= Backtrace: =========
/lib/x86_64-linux-gnu/libc.so.6(+0x777e5)[0x7f6ef4a557e5]
/lib/x86_64-linux-gnu/libc.so.6(+0x82a5a)[0x7f6ef4a60a5a]
/lib/x86_64-linux-gnu/libc.so.6(realloc+0x179)[0x7f6ef4a61c89]
doxypress-1.2.6/libCsCore1.4.so(_ZN10QByteArray11reallocDataEj6QFlagsIN10QArrayData16AllocationOptionEE+0x163)[0x7f6ef6fd0573]
doxypress-1.2.6/libCsCore1.4.so(_ZN10QByteArray6resizeEi+0x87)[0x7f6ef6fd0857]
doxypress-1.2.6/doxypress[0x7e4c15]
doxypress-1.2.6/doxypress[0x7e4e89]
doxypress-1.2.6/doxypress[0x7e5a35]
doxypress-1.2.6/doxypress[0x7e700e]
doxypress-1.2.6/doxypress[0x6da758]
doxypress-1.2.6/doxypress[0x64ffbc]
/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf0)[0x7f6ef49fe830]
doxypress-1.2.6/doxypress[0x6858d9]


Is my approach completely wrong if I just want to try DoxyPress without further installing it? Or does this point to an issue with the build?

Best regards!
jdjd
 
Posts: 1
Joined: Fri Feb 03 2017 11:57 pm

Re: Core dump with binaries on Ubuntu 16.04

Postby ansel » Wed Feb 08 2017 9:53 am

Hi jdjd,

The doxypress binary package expects to use the packaged version of clang, rather than individual files. Instead of extracting the individual libraries, can you try running:

Code: Select all
apt-get install libclang-3.7-dev libllvm3.7


Once those packages have installed, you should not need to add any additional files to the distributed doxypress binary folder in order to run doxypress.

Please let us know whether this step resolves the runtime issue you are experiencing.
ansel
 
Posts: 59
Joined: Fri Apr 10 2015 8:23 am


Return to Issues

cron